import { EventEmitter, OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class RiskClassificationComponent implements OnInit {
    constructor();
    animation: boolean;
    currentRiskValue: any;
    saveList: EventEmitter<any>;
    closeList: EventEmitter<any>;
    riskClassification: {
        name: string;
        value: number;
        class: string;
    }[];
    riskIntensityList: {
        name: string;
        value: string;
    }[];
    identificationList: {
        name: string;
        value: string;
    }[];
    selectedValues: {
        envThreat: string;
        regThreat: string;
        machineThreat: string;
        lifeThreat: string;
        probability: string;
        identification: string;
    };
    ngOnInit(): void;
    generateRiskClass(): void;
    getArrayFromObject(object: object): number[];
    calculateRiskClass(riskMatrices: number[]): number;
    save(): void;
    close(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RiskClassificationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RiskClassificationComponent, "app-risk-classification", never, { "currentRiskValue": { "alias": "currentRiskValue"; "required": false; }; }, { "saveList": "saveList"; "closeList": "closeList"; }, never, never, false, never>;
}
